/**Generated by running: java org.unavco.projects.gsac.repository.UnavcoGsacDatabaseManager**/

package gov.nasa.cddis.gsac;

import org.ramadda.sql.SqlUtil;

//J-
public abstract class Tables {
    public abstract String getName();
    public abstract String getColumns();


    public static class DORIS_2009 extends Tables {
        public static final String NAME = "doris_2009";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_S_DATE =  NAME + ".s_date";
        public static final String ORA_S_DATE =  "s_date";
        public static final String COL_S_TIME =  NAME + ".s_time";
        public static final String ORA_S_TIME =  "s_time";
        public static final String COL_E_DATE =  NAME + ".e_date";
        public static final String ORA_E_DATE =  "e_date";
        public static final String COL_E_TIME =  NAME + ".e_time";
        public static final String ORA_E_TIME =  "e_time";
        public static final String COL_STATION =  NAME + ".station";
        public static final String ORA_STATION =  "station";
        public static final String COL_NUM_OBS =  NAME + ".num_obs";
        public static final String ORA_NUM_OBS =  "num_obs";
        public static final String COL_SATELLITE =  NAME + ".satellite";
        public static final String ORA_SATELLITE =  "satellite";
        public static final String COL_FILE_NAME =  NAME + ".file_name";
        public static final String ORA_FILE_NAME =  "file_name";

        public static final String[] ARRAY = new String[] {
            COL_S_DATE,COL_S_TIME,COL_E_DATE,COL_E_TIME,COL_STATION,COL_NUM_OBS,COL_SATELLITE,COL_FILE_NAME
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final DORIS_2009 table  = new  DORIS_2009();
    }



    public static class GPS_TRACKING2009 extends Tables {
        public static final String NAME = "gps_tracking2009";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_MONUMENT_NAME =  NAME + ".monument_name";
        public static final String ORA_MONUMENT_NAME =  "monument_name";
        public static final String COL_START_DATE =  NAME + ".start_date";
        public static final String ORA_START_DATE =  "start_date";
        public static final String COL_START_TIME =  NAME + ".start_time";
        public static final String ORA_START_TIME =  "start_time";
        public static final String COL_END_DATE =  NAME + ".end_date";
        public static final String ORA_END_DATE =  "end_date";
        public static final String COL_END_TIME =  NAME + ".end_time";
        public static final String ORA_END_TIME =  "end_time";
        public static final String COL_OBSERVATION_INTERVAL =  NAME + ".observation_interval";
        public static final String ORA_OBSERVATION_INTERVAL =  "observation_interval";
        public static final String COL_NO_OBSERVATIONS =  NAME + ".no_observations";
        public static final String ORA_NO_OBSERVATIONS =  "no_observations";
        public static final String COL_OBSERVATION_TYPES =  NAME + ".observation_types";
        public static final String ORA_OBSERVATION_TYPES =  "observation_types";
        public static final String COL_RECEIVER_NUMBER =  NAME + ".receiver_number";
        public static final String ORA_RECEIVER_NUMBER =  "receiver_number";
        public static final String COL_RECEIVER_TYPE =  NAME + ".receiver_type";
        public static final String ORA_RECEIVER_TYPE =  "receiver_type";
        public static final String COL_RECEIVER_VERSION =  NAME + ".receiver_version";
        public static final String ORA_RECEIVER_VERSION =  "receiver_version";
        public static final String COL_ANTENNA_NUMBER =  NAME + ".antenna_number";
        public static final String ORA_ANTENNA_NUMBER =  "antenna_number";
        public static final String COL_ANTENNA_TYPE =  NAME + ".antenna_type";
        public static final String ORA_ANTENNA_TYPE =  "antenna_type";
        public static final String COL_X_POSITION =  NAME + ".x_position";
        public static final String ORA_X_POSITION =  "x_position";
        public static final String COL_Y_POSITION =  NAME + ".y_position";
        public static final String ORA_Y_POSITION =  "y_position";
        public static final String COL_Z_POSITION =  NAME + ".z_position";
        public static final String ORA_Z_POSITION =  "z_position";
        public static final String COL_ANTENNA_HEIGHT =  NAME + ".antenna_height";
        public static final String ORA_ANTENNA_HEIGHT =  "antenna_height";
        public static final String COL_ANTENNA_EAST =  NAME + ".antenna_east";
        public static final String ORA_ANTENNA_EAST =  "antenna_east";
        public static final String COL_ANTENNA_NORTH =  NAME + ".antenna_north";
        public static final String ORA_ANTENNA_NORTH =  "antenna_north";
        public static final String COL_OBSERVER =  NAME + ".observer";
        public static final String ORA_OBSERVER =  "observer";
        public static final String COL_AGENCY =  NAME + ".agency";
        public static final String ORA_AGENCY =  "agency";
        public static final String COL_PROGRAM =  NAME + ".program";
        public static final String ORA_PROGRAM =  "program";
        public static final String COL_PROGRAM_OPERATOR =  NAME + ".program_operator";
        public static final String ORA_PROGRAM_OPERATOR =  "program_operator";
        public static final String COL_MARKER_NAME =  NAME + ".marker_name";
        public static final String ORA_MARKER_NAME =  "marker_name";
        public static final String COL_DOMES_NUMBER =  NAME + ".domes_number";
        public static final String ORA_DOMES_NUMBER =  "domes_number";
        public static final String COL_FILE_NAME =  NAME + ".file_name";
        public static final String ORA_FILE_NAME =  "file_name";
        public static final String COL_GNSS_TYPE =  NAME + ".gnss_type";
        public static final String ORA_GNSS_TYPE =  "gnss_type";
        public static final String COL_HOUR_DELAY =  NAME + ".hour_delay";
        public static final String ORA_HOUR_DELAY =  "hour_delay";
        public static final String COL_NO_OBSEXP =  NAME + ".no_obsexp";
        public static final String ORA_NO_OBSEXP =  "no_obsexp";
        public static final String COL_NO_OBS =  NAME + ".no_obs";
        public static final String ORA_NO_OBS =  "no_obs";
        public static final String COL_NO_OBSDEL =  NAME + ".no_obsdel";
        public static final String ORA_NO_OBSDEL =  "no_obsdel";
        public static final String COL_DATA_PCT =  NAME + ".data_pct";
        public static final String ORA_DATA_PCT =  "data_pct";
        public static final String COL_AVG_MP1 =  NAME + ".avg_mp1";
        public static final String ORA_AVG_MP1 =  "avg_mp1";
        public static final String COL_AVG_MP2 =  NAME + ".avg_mp2";
        public static final String ORA_AVG_MP2 =  "avg_mp2";
        public static final String COL_POSITION_DIFFERENCE =  NAME + ".position_difference";
        public static final String ORA_POSITION_DIFFERENCE =  "position_difference";
        public static final String COL_NO_SLIPS =  NAME + ".no_slips";
        public static final String ORA_NO_SLIPS =  "no_slips";
        public static final String COL_DATA_VERSION =  NAME + ".data_version";
        public static final String ORA_DATA_VERSION =  "data_version";

        public static final String[] ARRAY = new String[] {
            COL_MONUMENT_NAME,COL_START_DATE,COL_START_TIME,COL_END_DATE,COL_END_TIME,COL_OBSERVATION_INTERVAL,COL_NO_OBSERVATIONS,COL_OBSERVATION_TYPES,COL_RECEIVER_NUMBER,COL_RECEIVER_TYPE,COL_RECEIVER_VERSION,COL_ANTENNA_NUMBER,COL_ANTENNA_TYPE,COL_X_POSITION,COL_Y_POSITION,COL_Z_POSITION,COL_ANTENNA_HEIGHT,COL_ANTENNA_EAST,COL_ANTENNA_NORTH,COL_OBSERVER,COL_AGENCY,COL_PROGRAM,COL_PROGRAM_OPERATOR,COL_MARKER_NAME,COL_DOMES_NUMBER,COL_FILE_NAME,COL_GNSS_TYPE,COL_HOUR_DELAY,COL_NO_OBSEXP,COL_NO_OBS,COL_NO_OBSDEL,COL_DATA_PCT,COL_AVG_MP1,COL_AVG_MP2,COL_POSITION_DIFFERENCE,COL_NO_SLIPS,COL_DATA_VERSION
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final GPS_TRACKING2009 table  = new  GPS_TRACKING2009();
    }



    public static class SATELLITESQL_2009 extends Tables {
        public static final String NAME = "satellitesql_2009";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_SATELLITE =  NAME + ".satellite";
        public static final String ORA_SATELLITE =  "satellite";
        public static final String COL_STATION =  NAME + ".station";
        public static final String ORA_STATION =  "station";
        public static final String COL_S_DATE =  NAME + ".s_date";
        public static final String ORA_S_DATE =  "s_date";
        public static final String COL_E_DATE =  NAME + ".e_date";
        public static final String ORA_E_DATE =  "e_date";
        public static final String COL_NUM_PTS =  NAME + ".num_pts";
        public static final String ORA_NUM_PTS =  "num_pts";
        public static final String COL_DESIGNATOR =  NAME + ".designator";
        public static final String ORA_DESIGNATOR =  "designator";
        public static final String COL_SCF =  NAME + ".scf";
        public static final String ORA_SCF =  "scf";
        public static final String COL_WAVELENGTH =  NAME + ".wavelength";
        public static final String ORA_WAVELENGTH =  "wavelength";
        public static final String COL_NPT_INDICATOR =  NAME + ".npt_indicator";
        public static final String ORA_NPT_INDICATOR =  "npt_indicator";
        public static final String COL_EPOCH_TIMESCALE =  NAME + ".epoch_timescale";
        public static final String ORA_EPOCH_TIMESCALE =  "epoch_timescale";
        public static final String COL_SYSTEM_CAL =  NAME + ".system_cal";
        public static final String ORA_SYSTEM_CAL =  "system_cal";
        public static final String COL_DATA_TYPE =  NAME + ".data_type";
        public static final String ORA_DATA_TYPE =  "data_type";
        public static final String COL_SOURCE =  NAME + ".source";
        public static final String ORA_SOURCE =  "source";
        public static final String COL_INSERT_DATE =  NAME + ".insert_date";
        public static final String ORA_INSERT_DATE =  "insert_date";
        public static final String COL_FILE_NAME =  NAME + ".file_name";
        public static final String ORA_FILE_NAME =  "file_name";
        public static final String COL_RELEASE_FLAG =  NAME + ".release_flag";
        public static final String ORA_RELEASE_FLAG =  "release_flag";

        public static final String[] ARRAY = new String[] {
            COL_SATELLITE,COL_STATION,COL_S_DATE,COL_E_DATE,COL_NUM_PTS,COL_DESIGNATOR,COL_SCF,COL_WAVELENGTH,COL_NPT_INDICATOR,COL_EPOCH_TIMESCALE,COL_SYSTEM_CAL,COL_DATA_TYPE,COL_SOURCE,COL_INSERT_DATE,COL_FILE_NAME,COL_RELEASE_FLAG
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final SATELLITESQL_2009 table  = new  SATELLITESQL_2009();
    }



    public static class SITE_DORIS extends Tables {
        public static final String NAME = "site_doris";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_SITE_NAME =  NAME + ".site_name";
        public static final String ORA_SITE_NAME =  "site_name";
        public static final String COL_DORIS =  NAME + ".doris";
        public static final String ORA_DORIS =  "doris";
        public static final String COL_DOMES_NUMBER =  NAME + ".domes_number";
        public static final String ORA_DOMES_NUMBER =  "domes_number";

        public static final String[] ARRAY = new String[] {
            COL_SITE_NAME,COL_DORIS,COL_DOMES_NUMBER
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final SITE_DORIS table  = new  SITE_DORIS();
    }



    public static class SITE_GNSS extends Tables {
        public static final String NAME = "site_gnss";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_SITE_NAME =  NAME + ".site_name";
        public static final String ORA_SITE_NAME =  "site_name";
        public static final String COL_MONUMENT_NAME =  NAME + ".monument_name";
        public static final String ORA_MONUMENT_NAME =  "monument_name";
        public static final String COL_DOMES_NUMBER =  NAME + ".domes_number";
        public static final String ORA_DOMES_NUMBER =  "domes_number";
        public static final String COL_GPS =  NAME + ".gps";
        public static final String ORA_GPS =  "gps";
        public static final String COL_IGS =  NAME + ".igs";
        public static final String ORA_IGS =  "igs";
        public static final String COL_GLOBAL =  NAME + ".global";
        public static final String ORA_GLOBAL =  "global";
        public static final String COL_HIGH_RATE =  NAME + ".high_rate";
        public static final String ORA_HIGH_RATE =  "high_rate";
        public static final String COL_HOURLY =  NAME + ".hourly";
        public static final String ORA_HOURLY =  "hourly";
        public static final String COL_GLONASS =  NAME + ".glonass";
        public static final String ORA_GLONASS =  "glonass";

        public static final String[] ARRAY = new String[] {
            COL_SITE_NAME,COL_MONUMENT_NAME,COL_DOMES_NUMBER,COL_GPS,COL_IGS,COL_GLOBAL,COL_HIGH_RATE,COL_HOURLY,COL_GLONASS
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final SITE_GNSS table  = new  SITE_GNSS();
    }



    public static class SITE_INFORMATION extends Tables {
        public static final String NAME = "site_information";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_SITE_NAME =  NAME + ".site_name";
        public static final String ORA_SITE_NAME =  "site_name";
        public static final String COL_SITE_NUMBER =  NAME + ".site_number";
        public static final String ORA_SITE_NUMBER =  "site_number";
        public static final String COL_LATITUDE =  NAME + ".latitude";
        public static final String ORA_LATITUDE =  "latitude";
        public static final String COL_LONGITUDE =  NAME + ".longitude";
        public static final String ORA_LONGITUDE =  "longitude";
        public static final String COL_LATITUDE_DECIMAL =  NAME + ".latitude_decimal";
        public static final String ORA_LATITUDE_DECIMAL =  "latitude_decimal";
        public static final String COL_LONGITUDE_DECIMAL =  NAME + ".longitude_decimal";
        public static final String ORA_LONGITUDE_DECIMAL =  "longitude_decimal";
        public static final String COL_STATE =  NAME + ".state";
        public static final String ORA_STATE =  "state";
        public static final String COL_COUNTRY =  NAME + ".country";
        public static final String ORA_COUNTRY =  "country";
        public static final String COL_REGION =  NAME + ".region";
        public static final String ORA_REGION =  "region";

        public static final String[] ARRAY = new String[] {
            COL_SITE_NAME,COL_SITE_NUMBER,COL_LATITUDE,COL_LONGITUDE,COL_LATITUDE_DECIMAL,COL_LONGITUDE_DECIMAL,COL_STATE,COL_COUNTRY,COL_REGION
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final SITE_INFORMATION table  = new  SITE_INFORMATION();
    }



    public static class SITE_PRARE extends Tables {
        public static final String NAME = "site_prare";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_SITE_NAME =  NAME + ".site_name";
        public static final String ORA_SITE_NAME =  "site_name";
        public static final String COL_PRARE =  NAME + ".prare";
        public static final String ORA_PRARE =  "prare";

        public static final String[] ARRAY = new String[] {
            COL_SITE_NAME,COL_PRARE
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final SITE_PRARE table  = new  SITE_PRARE();
    }



    public static class SITE_SLR extends Tables {
        public static final String NAME = "site_slr";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_SITE_NAME =  NAME + ".site_name";
        public static final String ORA_SITE_NAME =  "site_name";
        public static final String COL_SLR =  NAME + ".slr";
        public static final String ORA_SLR =  "slr";
        public static final String COL_STATION =  NAME + ".station";
        public static final String ORA_STATION =  "station";
        public static final String COL_DOMES_NUMBER =  NAME + ".domes_number";
        public static final String ORA_DOMES_NUMBER =  "domes_number";
        public static final String COL_SITE_TYPE =  NAME + ".site_type";
        public static final String ORA_SITE_TYPE =  "site_type";

        public static final String[] ARRAY = new String[] {
            COL_SITE_NAME,COL_SLR,COL_STATION,COL_DOMES_NUMBER,COL_SITE_TYPE
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final SITE_SLR table  = new  SITE_SLR();
    }



    public static class SITE_VLBI extends Tables {
        public static final String NAME = "site_vlbi";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_SITE_NAME =  NAME + ".site_name";
        public static final String ORA_SITE_NAME =  "site_name";
        public static final String COL_VLBI =  NAME + ".vlbi";
        public static final String ORA_VLBI =  "vlbi";
        public static final String COL_IVS_CODE =  NAME + ".ivs_code";
        public static final String ORA_IVS_CODE =  "ivs_code";
        public static final String COL_VLBI_NAME =  NAME + ".vlbi_name";
        public static final String ORA_VLBI_NAME =  "vlbi_name";
        public static final String COL_STATION =  NAME + ".station";
        public static final String ORA_STATION =  "station";
        public static final String COL_DOMES_NUMBER =  NAME + ".domes_number";
        public static final String ORA_DOMES_NUMBER =  "domes_number";
        public static final String COL_SITE_TYPE =  NAME + ".site_type";
        public static final String ORA_SITE_TYPE =  "site_type";

        public static final String[] ARRAY = new String[] {
            COL_SITE_NAME,COL_VLBI,COL_IVS_CODE,COL_VLBI_NAME,COL_STATION,COL_DOMES_NUMBER,COL_SITE_TYPE
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final SITE_VLBI table  = new  SITE_VLBI();
    }



    public static class VLBI_EXPERIMENTS extends Tables {
        public static final String NAME = "vlbi_experiments";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_EXPERIMENT =  NAME + ".experiment";
        public static final String ORA_EXPERIMENT =  "experiment";
        public static final String COL_EXPERIMENT_CODE =  NAME + ".experiment_code";
        public static final String ORA_EXPERIMENT_CODE =  "experiment_code";
        public static final String COL_START_DATE =  NAME + ".start_date";
        public static final String ORA_START_DATE =  "start_date";
        public static final String COL_START_TIME =  NAME + ".start_time";
        public static final String ORA_START_TIME =  "start_time";
        public static final String COL_DURATION =  NAME + ".duration";
        public static final String ORA_DURATION =  "duration";
        public static final String COL_STATIONS =  NAME + ".stations";
        public static final String ORA_STATIONS =  "stations";
        public static final String COL_SCHEDULE_AGENCY =  NAME + ".schedule_agency";
        public static final String ORA_SCHEDULE_AGENCY =  "schedule_agency";
        public static final String COL_CORRELATOR =  NAME + ".correlator";
        public static final String ORA_CORRELATOR =  "correlator";
        public static final String COL_CORRELATOR_STATUS =  NAME + ".correlator_status";
        public static final String ORA_CORRELATOR_STATUS =  "correlator_status";
        public static final String COL_PROCESSING_FACTOR =  NAME + ".processing_factor";
        public static final String ORA_PROCESSING_FACTOR =  "processing_factor";
        public static final String COL_DATABASE_CODE =  NAME + ".database_code";
        public static final String ORA_DATABASE_CODE =  "database_code";
        public static final String COL_SUBMITTING_AGENCY =  NAME + ".submitting_agency";
        public static final String ORA_SUBMITTING_AGENCY =  "submitting_agency";
        public static final String COL_DELAY_DAYS =  NAME + ".delay_days";
        public static final String ORA_DELAY_DAYS =  "delay_days";
        public static final String COL_MARK4_NUMBER =  NAME + ".mark4_number";
        public static final String ORA_MARK4_NUMBER =  "mark4_number";

        public static final String[] ARRAY = new String[] {
            COL_EXPERIMENT,COL_EXPERIMENT_CODE,COL_START_DATE,COL_START_TIME,COL_DURATION,COL_STATIONS,COL_SCHEDULE_AGENCY,COL_CORRELATOR,COL_CORRELATOR_STATUS,COL_PROCESSING_FACTOR,COL_DATABASE_CODE,COL_SUBMITTING_AGENCY,COL_DELAY_DAYS,COL_MARK4_NUMBER
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final VLBI_EXPERIMENTS table  = new  VLBI_EXPERIMENTS();
    }



    public static class VLBI_EXPSTATIONS extends Tables {
        public static final String NAME = "vlbi_expstations";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_EXPERIMENT =  NAME + ".experiment";
        public static final String ORA_EXPERIMENT =  "experiment";
        public static final String COL_EXPERIMENT_CODE =  NAME + ".experiment_code";
        public static final String ORA_EXPERIMENT_CODE =  "experiment_code";
        public static final String COL_STATION_CODE =  NAME + ".station_code";
        public static final String ORA_STATION_CODE =  "station_code";
        public static final String COL_ACTIVITY =  NAME + ".activity";
        public static final String ORA_ACTIVITY =  "activity";

        public static final String[] ARRAY = new String[] {
            COL_EXPERIMENT,COL_EXPERIMENT_CODE,COL_STATION_CODE,COL_ACTIVITY
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final VLBI_EXPSTATIONS table  = new  VLBI_EXPSTATIONS();
    }



    public static class VLBI_VA extends Tables {
        public static final String NAME = "vlbi_va";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_VA =  NAME + ".va";
        public static final String ORA_VA =  "va";
        public static final String COL_STATION_CODE =  NAME + ".station_code";
        public static final String ORA_STATION_CODE =  "station_code";

        public static final String[] ARRAY = new String[] {
            COL_VA,COL_STATION_CODE
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final VLBI_VA table  = new  VLBI_VA();
    }



    public static class SITE_INFO_DORIS extends Tables {
        public static final String NAME = "site_info_doris";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_SITE_NAME =  NAME + ".site_name";
        public static final String ORA_SITE_NAME =  "site_name";
        public static final String COL_LATITUDE =  NAME + ".latitude";
        public static final String ORA_LATITUDE =  "latitude";
        public static final String COL_LONGITUDE =  NAME + ".longitude";
        public static final String ORA_LONGITUDE =  "longitude";
        public static final String COL_LATITUDE_DECIMAL =  NAME + ".latitude_decimal";
        public static final String ORA_LATITUDE_DECIMAL =  "latitude_decimal";
        public static final String COL_LONGITUDE_DECIMAL =  NAME + ".longitude_decimal";
        public static final String ORA_LONGITUDE_DECIMAL =  "longitude_decimal";
        public static final String COL_STATE =  NAME + ".state";
        public static final String ORA_STATE =  "state";
        public static final String COL_COUNTRY =  NAME + ".country";
        public static final String ORA_COUNTRY =  "country";
        public static final String COL_REGION =  NAME + ".region";
        public static final String ORA_REGION =  "region";
        public static final String COL_DORIS =  NAME + ".doris";
        public static final String ORA_DORIS =  "doris";
        public static final String COL_DOMES_NUMBER =  NAME + ".domes_number";
        public static final String ORA_DOMES_NUMBER =  "domes_number";

        public static final String[] ARRAY = new String[] {
            COL_SITE_NAME,COL_LATITUDE,COL_LONGITUDE,COL_LATITUDE_DECIMAL,COL_LONGITUDE_DECIMAL,COL_STATE,COL_COUNTRY,COL_REGION,COL_DORIS,COL_DOMES_NUMBER
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final SITE_INFO_DORIS table  = new  SITE_INFO_DORIS();
    }



    public static class SITE_INFO_GNSS extends Tables {
        public static final String NAME = "site_info_gnss";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_SITE_NAME =  NAME + ".site_name";
        public static final String ORA_SITE_NAME =  "site_name";
        public static final String COL_LATITUDE =  NAME + ".latitude";
        public static final String ORA_LATITUDE =  "latitude";
        public static final String COL_LONGITUDE =  NAME + ".longitude";
        public static final String ORA_LONGITUDE =  "longitude";
        public static final String COL_LATITUDE_DECIMAL =  NAME + ".latitude_decimal";
        public static final String ORA_LATITUDE_DECIMAL =  "latitude_decimal";
        public static final String COL_LONGITUDE_DECIMAL =  NAME + ".longitude_decimal";
        public static final String ORA_LONGITUDE_DECIMAL =  "longitude_decimal";
        public static final String COL_STATE =  NAME + ".state";
        public static final String ORA_STATE =  "state";
        public static final String COL_COUNTRY =  NAME + ".country";
        public static final String ORA_COUNTRY =  "country";
        public static final String COL_REGION =  NAME + ".region";
        public static final String ORA_REGION =  "region";
        public static final String COL_MONUMENT_NAME =  NAME + ".monument_name";
        public static final String ORA_MONUMENT_NAME =  "monument_name";
        public static final String COL_DOMES_NUMBER =  NAME + ".domes_number";
        public static final String ORA_DOMES_NUMBER =  "domes_number";
        public static final String COL_GPS =  NAME + ".gps";
        public static final String ORA_GPS =  "gps";
        public static final String COL_GLONASS =  NAME + ".glonass";
        public static final String ORA_GLONASS =  "glonass";
        public static final String COL_IGS =  NAME + ".igs";
        public static final String ORA_IGS =  "igs";
        public static final String COL_GLOBAL =  NAME + ".global";
        public static final String ORA_GLOBAL =  "global";
        public static final String COL_HIGH_RATE =  NAME + ".high_rate";
        public static final String ORA_HIGH_RATE =  "high_rate";
        public static final String COL_HOURLY =  NAME + ".hourly";
        public static final String ORA_HOURLY =  "hourly";

        public static final String[] ARRAY = new String[] {
            COL_SITE_NAME,COL_LATITUDE,COL_LONGITUDE,COL_LATITUDE_DECIMAL,COL_LONGITUDE_DECIMAL,COL_STATE,COL_COUNTRY,COL_REGION,COL_MONUMENT_NAME,COL_DOMES_NUMBER,COL_GPS,COL_GLONASS,COL_IGS,COL_GLOBAL,COL_HIGH_RATE,COL_HOURLY
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final SITE_INFO_GNSS table  = new  SITE_INFO_GNSS();
    }



    public static class SITE_INFO_PRARE extends Tables {
        public static final String NAME = "site_info_prare";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_SITE_NAME =  NAME + ".site_name";
        public static final String ORA_SITE_NAME =  "site_name";
        public static final String COL_LATITUDE =  NAME + ".latitude";
        public static final String ORA_LATITUDE =  "latitude";
        public static final String COL_LONGITUDE =  NAME + ".longitude";
        public static final String ORA_LONGITUDE =  "longitude";
        public static final String COL_LATITUDE_DECIMAL =  NAME + ".latitude_decimal";
        public static final String ORA_LATITUDE_DECIMAL =  "latitude_decimal";
        public static final String COL_LONGITUDE_DECIMAL =  NAME + ".longitude_decimal";
        public static final String ORA_LONGITUDE_DECIMAL =  "longitude_decimal";
        public static final String COL_STATE =  NAME + ".state";
        public static final String ORA_STATE =  "state";
        public static final String COL_COUNTRY =  NAME + ".country";
        public static final String ORA_COUNTRY =  "country";
        public static final String COL_REGION =  NAME + ".region";
        public static final String ORA_REGION =  "region";
        public static final String COL_PRARE =  NAME + ".prare";
        public static final String ORA_PRARE =  "prare";

        public static final String[] ARRAY = new String[] {
            COL_SITE_NAME,COL_LATITUDE,COL_LONGITUDE,COL_LATITUDE_DECIMAL,COL_LONGITUDE_DECIMAL,COL_STATE,COL_COUNTRY,COL_REGION,COL_PRARE
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final SITE_INFO_PRARE table  = new  SITE_INFO_PRARE();
    }



    public static class SITE_INFO_SLR extends Tables {
        public static final String NAME = "site_info_slr";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_SITE_NAME =  NAME + ".site_name";
        public static final String ORA_SITE_NAME =  "site_name";
        public static final String COL_LATITUDE =  NAME + ".latitude";
        public static final String ORA_LATITUDE =  "latitude";
        public static final String COL_LONGITUDE =  NAME + ".longitude";
        public static final String ORA_LONGITUDE =  "longitude";
        public static final String COL_LATITUDE_DECIMAL =  NAME + ".latitude_decimal";
        public static final String ORA_LATITUDE_DECIMAL =  "latitude_decimal";
        public static final String COL_LONGITUDE_DECIMAL =  NAME + ".longitude_decimal";
        public static final String ORA_LONGITUDE_DECIMAL =  "longitude_decimal";
        public static final String COL_STATE =  NAME + ".state";
        public static final String ORA_STATE =  "state";
        public static final String COL_COUNTRY =  NAME + ".country";
        public static final String ORA_COUNTRY =  "country";
        public static final String COL_REGION =  NAME + ".region";
        public static final String ORA_REGION =  "region";
        public static final String COL_SLR =  NAME + ".slr";
        public static final String ORA_SLR =  "slr";
        public static final String COL_STATION =  NAME + ".station";
        public static final String ORA_STATION =  "station";
        public static final String COL_DOMES_NUMBER =  NAME + ".domes_number";
        public static final String ORA_DOMES_NUMBER =  "domes_number";
        public static final String COL_SITE_TYPE =  NAME + ".site_type";
        public static final String ORA_SITE_TYPE =  "site_type";

        public static final String[] ARRAY = new String[] {
            COL_SITE_NAME,COL_LATITUDE,COL_LONGITUDE,COL_LATITUDE_DECIMAL,COL_LONGITUDE_DECIMAL,COL_STATE,COL_COUNTRY,COL_REGION,COL_SLR,COL_STATION,COL_DOMES_NUMBER,COL_SITE_TYPE
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final SITE_INFO_SLR table  = new  SITE_INFO_SLR();
    }



    public static class SITE_INFO_VLBI extends Tables {
        public static final String NAME = "site_info_vlbi";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_SITE_NAME =  NAME + ".site_name";
        public static final String ORA_SITE_NAME =  "site_name";
        public static final String COL_LATITUDE =  NAME + ".latitude";
        public static final String ORA_LATITUDE =  "latitude";
        public static final String COL_LONGITUDE =  NAME + ".longitude";
        public static final String ORA_LONGITUDE =  "longitude";
        public static final String COL_LATITUDE_DECIMAL =  NAME + ".latitude_decimal";
        public static final String ORA_LATITUDE_DECIMAL =  "latitude_decimal";
        public static final String COL_LONGITUDE_DECIMAL =  NAME + ".longitude_decimal";
        public static final String ORA_LONGITUDE_DECIMAL =  "longitude_decimal";
        public static final String COL_STATE =  NAME + ".state";
        public static final String ORA_STATE =  "state";
        public static final String COL_COUNTRY =  NAME + ".country";
        public static final String ORA_COUNTRY =  "country";
        public static final String COL_REGION =  NAME + ".region";
        public static final String ORA_REGION =  "region";
        public static final String COL_VLBI =  NAME + ".vlbi";
        public static final String ORA_VLBI =  "vlbi";
        public static final String COL_IVS_CODE =  NAME + ".ivs_code";
        public static final String ORA_IVS_CODE =  "ivs_code";
        public static final String COL_VLBI_NAME =  NAME + ".vlbi_name";
        public static final String ORA_VLBI_NAME =  "vlbi_name";
        public static final String COL_STATION =  NAME + ".station";
        public static final String ORA_STATION =  "station";
        public static final String COL_DOMES_NUMBER =  NAME + ".domes_number";
        public static final String ORA_DOMES_NUMBER =  "domes_number";
        public static final String COL_SITE_TYPE =  NAME + ".site_type";
        public static final String ORA_SITE_TYPE =  "site_type";

        public static final String[] ARRAY = new String[] {
            COL_SITE_NAME,COL_LATITUDE,COL_LONGITUDE,COL_LATITUDE_DECIMAL,COL_LONGITUDE_DECIMAL,COL_STATE,COL_COUNTRY,COL_REGION,COL_VLBI,COL_IVS_CODE,COL_VLBI_NAME,COL_STATION,COL_DOMES_NUMBER,COL_SITE_TYPE
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final SITE_INFO_VLBI table  = new  SITE_INFO_VLBI();
    }



    public static class SITE_INFORMATION_FULL extends Tables {
        public static final String NAME = "site_information_full";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_SITE_NAME =  NAME + ".site_name";
        public static final String ORA_SITE_NAME =  "site_name";
        public static final String COL_LATITUDE =  NAME + ".latitude";
        public static final String ORA_LATITUDE =  "latitude";
        public static final String COL_LONGITUDE =  NAME + ".longitude";
        public static final String ORA_LONGITUDE =  "longitude";
        public static final String COL_LATITUDE_DECIMAL =  NAME + ".latitude_decimal";
        public static final String ORA_LATITUDE_DECIMAL =  "latitude_decimal";
        public static final String COL_LONGITUDE_DECIMAL =  NAME + ".longitude_decimal";
        public static final String ORA_LONGITUDE_DECIMAL =  "longitude_decimal";
        public static final String COL_STATE =  NAME + ".state";
        public static final String ORA_STATE =  "state";
        public static final String COL_COUNTRY =  NAME + ".country";
        public static final String ORA_COUNTRY =  "country";
        public static final String COL_REGION =  NAME + ".region";
        public static final String ORA_REGION =  "region";
        public static final String COL_GNSS_NAME =  NAME + ".gnss_name";
        public static final String ORA_GNSS_NAME =  "gnss_name";
        public static final String COL_GNSS_DOMES =  NAME + ".gnss_domes";
        public static final String ORA_GNSS_DOMES =  "gnss_domes";
        public static final String COL_GPS =  NAME + ".gps";
        public static final String ORA_GPS =  "gps";
        public static final String COL_GLONASS =  NAME + ".glonass";
        public static final String ORA_GLONASS =  "glonass";
        public static final String COL_IGS =  NAME + ".igs";
        public static final String ORA_IGS =  "igs";
        public static final String COL_GLOBAL =  NAME + ".global";
        public static final String ORA_GLOBAL =  "global";
        public static final String COL_HIGH_RATE =  NAME + ".high_rate";
        public static final String ORA_HIGH_RATE =  "high_rate";
        public static final String COL_HOURLY =  NAME + ".hourly";
        public static final String ORA_HOURLY =  "hourly";
        public static final String COL_SLR_NAME =  NAME + ".slr_name";
        public static final String ORA_SLR_NAME =  "slr_name";
        public static final String COL_SLR_STATION =  NAME + ".slr_station";
        public static final String ORA_SLR_STATION =  "slr_station";
        public static final String COL_SLR_DOMES =  NAME + ".slr_domes";
        public static final String ORA_SLR_DOMES =  "slr_domes";
        public static final String COL_SLR_SITETYPE =  NAME + ".slr_sitetype";
        public static final String ORA_SLR_SITETYPE =  "slr_sitetype";
        public static final String COL_VLBI_NAME =  NAME + ".vlbi_name";
        public static final String ORA_VLBI_NAME =  "vlbi_name";
        public static final String COL_VLBI_DOMES =  NAME + ".vlbi_domes";
        public static final String ORA_VLBI_DOMES =  "vlbi_domes";
        public static final String COL_IVS_CODE =  NAME + ".ivs_code";
        public static final String ORA_IVS_CODE =  "ivs_code";
        public static final String COL_VLBI_FULLNAME =  NAME + ".vlbi_fullname";
        public static final String ORA_VLBI_FULLNAME =  "vlbi_fullname";
        public static final String COL_VLBI_STATION =  NAME + ".vlbi_station";
        public static final String ORA_VLBI_STATION =  "vlbi_station";
        public static final String COL_VLBI_SITETYPE =  NAME + ".vlbi_sitetype";
        public static final String ORA_VLBI_SITETYPE =  "vlbi_sitetype";
        public static final String COL_DORIS_NAME =  NAME + ".doris_name";
        public static final String ORA_DORIS_NAME =  "doris_name";
        public static final String COL_DORIS_DOMES =  NAME + ".doris_domes";
        public static final String ORA_DORIS_DOMES =  "doris_domes";
        public static final String COL_PRARE_NAME =  NAME + ".prare_name";
        public static final String ORA_PRARE_NAME =  "prare_name";

        public static final String[] ARRAY = new String[] {
            COL_SITE_NAME,COL_LATITUDE,COL_LONGITUDE,COL_LATITUDE_DECIMAL,COL_LONGITUDE_DECIMAL,COL_STATE,COL_COUNTRY,COL_REGION,COL_GNSS_NAME,COL_GNSS_DOMES,COL_GPS,COL_GLONASS,COL_IGS,COL_GLOBAL,COL_HIGH_RATE,COL_HOURLY,COL_SLR_NAME,COL_SLR_STATION,COL_SLR_DOMES,COL_SLR_SITETYPE,COL_VLBI_NAME,COL_VLBI_DOMES,COL_IVS_CODE,COL_VLBI_FULLNAME,COL_VLBI_STATION,COL_VLBI_SITETYPE,COL_DORIS_NAME,COL_DORIS_DOMES,COL_PRARE_NAME
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final SITE_INFORMATION_FULL table  = new  SITE_INFORMATION_FULL();
    }



    public static class VLBI_EXP2009 extends Tables {
        public static final String NAME = "vlbi_exp2009";

        public String getName() {return NAME;}
        public String getColumns() {return COLUMNS;}
        public static final String COL_EXPERIMENT =  NAME + ".experiment";
        public static final String ORA_EXPERIMENT =  "experiment";
        public static final String COL_EXPERIMENT_CODE =  NAME + ".experiment_code";
        public static final String ORA_EXPERIMENT_CODE =  "experiment_code";
        public static final String COL_START_DATE =  NAME + ".start_date";
        public static final String ORA_START_DATE =  "start_date";
        public static final String COL_START_TIME =  NAME + ".start_time";
        public static final String ORA_START_TIME =  "start_time";
        public static final String COL_DURATION =  NAME + ".duration";
        public static final String ORA_DURATION =  "duration";
        public static final String COL_STATIONS =  NAME + ".stations";
        public static final String ORA_STATIONS =  "stations";
        public static final String COL_STATION_CODE =  NAME + ".station_code";
        public static final String ORA_STATION_CODE =  "station_code";
        public static final String COL_ACTIVITY =  NAME + ".activity";
        public static final String ORA_ACTIVITY =  "activity";
        public static final String COL_SCHEDULE_AGENCY =  NAME + ".schedule_agency";
        public static final String ORA_SCHEDULE_AGENCY =  "schedule_agency";
        public static final String COL_CORRELATOR =  NAME + ".correlator";
        public static final String ORA_CORRELATOR =  "correlator";
        public static final String COL_CORRELATOR_STATUS =  NAME + ".correlator_status";
        public static final String ORA_CORRELATOR_STATUS =  "correlator_status";
        public static final String COL_PROCESSING_FACTOR =  NAME + ".processing_factor";
        public static final String ORA_PROCESSING_FACTOR =  "processing_factor";
        public static final String COL_DATABASE_CODE =  NAME + ".database_code";
        public static final String ORA_DATABASE_CODE =  "database_code";
        public static final String COL_SUBMITTING_AGENCY =  NAME + ".submitting_agency";
        public static final String ORA_SUBMITTING_AGENCY =  "submitting_agency";
        public static final String COL_DELAY_DAYS =  NAME + ".delay_days";
        public static final String ORA_DELAY_DAYS =  "delay_days";
        public static final String COL_MARK4_NUMBER =  NAME + ".mark4_number";
        public static final String ORA_MARK4_NUMBER =  "mark4_number";

        public static final String[] ARRAY = new String[] {
            COL_EXPERIMENT,COL_EXPERIMENT_CODE,COL_START_DATE,COL_START_TIME,COL_DURATION,COL_STATIONS,COL_STATION_CODE,COL_ACTIVITY,COL_SCHEDULE_AGENCY,COL_CORRELATOR,COL_CORRELATOR_STATUS,COL_PROCESSING_FACTOR,COL_DATABASE_CODE,COL_SUBMITTING_AGENCY,COL_DELAY_DAYS,COL_MARK4_NUMBER
        };
        public static final String COLUMNS = SqlUtil.comma(ARRAY);
        public static final String NODOT_COLUMNS = SqlUtil.commaNoDot(ARRAY);
    public static final VLBI_EXP2009 table  = new  VLBI_EXP2009();
    }



}
